Internationalization
====================
The strings displayed by the editor may be translated into other languages using the `i18n` prop.

This example shows how to use the `i18n` prop to change the strings. It's shown with the default (English) values.

```jsx
<Markmirror i18n={{
  // Button title attributes.
  h1Title:           'Header 1',
  h2Title:           'Header 2',
  h3Title:           'Header 3',
  boldTitle:         'Bold',
  italicTitle:       'Italic',
  oListTitle:        'Ordered List',
  uListTitle:        'Unordered List',
  quoteTitle:        'Quote',
  linkTitle:         'Link',
  imageTitle:        'Image',
  fullTitle:         'Fullscreen',
  uploadTitle:       'Upload',
  // Button labels when an icon isn't used.
  h1Label:           'H1',
  h2Label:           'H2',
  h3Label:           'H3',
  boldLabel:         'B',
  italicLabel:       'I',
  oListLabel:        'OL',
  uListLabel:        'UL',
  quoteLabel:        'Q',
  linkLabel:         'L',
  imageLabel:        'I',
  fullLabel:         'F',
  uploadLabel:       'U',
  // Text inserted when text isn't already selected.
  h1Placeholder:     'Heading',
  h2Placeholder:     'Heading',
  h3Placeholder:     'Heading',
  boldPlaceholder:   'bold text',
  italicPlaceholder: 'italic text',
  oListPlaceholder:  'list',
  uListPlaceholder:  'list',
  quotePlaceholder:  'quote',
  linkPlaceholder:   'link',
  imagePlaceholder:  'alt text',
  // Misc.
  uploadError:       'Upload error',
  imageURL:          'Image URL',
  linkURL:           'Link URL'
}} />
```
